CVE-2017-14977

Published: 01 October 2017

The FoFiTrueType::getCFFBlock function in FoFiTrueType.cc in Poppler 0.59.0 has a NULL pointer dereference vulnerability due to lack of validation of a table pointer, which allows an attacker to launch a denial of service attack.

Priority

Low

CVSS 3 base score: 7.5

Status

Package Release Status
poppler
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.41.0-0ubuntu1.4)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [0.24.5-2ubuntu4.7])
Patches:
Upstream: https://cgit.freedesktop.org/poppler/poppler/commit/?id=19eedc6fb693a62f305e13079501e3105f869f3c